<?php
require_once("log.php");

function esp( $s )
{
	return " " . $s . " ";
}

class db
{
    private $server = "localhost";
    private $port = 3306;
    private $user = "root";
    private $passwd = "Lalis_toor";
    public $database;
    public $connect;
    public $result;

    function __construct($database, $server="lalis")
    {
		$this->database = $database;
		if ($server == "librepc")
		{
			$this->server = "librepcfr.librepc.com";
			$this->user = "librepcfr";
			$this->passwd = "Gecc-311";
			$this->database = "librepcfr";
		}
		$this->open();
    }

    function open()
    {

		if ( ! $this->connect )
		{
			$this->connect = new mysqli( $this->server, $this->user, $this->passwd, $this->database );
			if ( $this->connect->connect_errno )
			{
				log_error( "Échec de la connexion : " . " => " . $this->connect->connect_error . "<br />" . __file__ . esp( 'ligne' ) . __line__, true, false);
				return false;
			}
			if (!$this->connect->set_charset("utf8"))
			{
				printf("Erreur lors du chargement du jeu de caractères utf8 : %s\n", $this->error);
				exit();
			}
		}
		return true;
    }

    function protect($string)
    {
		return $this->connect->real_escape_string($string);
	}

	function close()
    {
        $this->connect->close();
        $this->connect = 0;
    }

   	function query( $string )
	{
		if ( empty( $this->connect ) )		$this->open();

		$this->result = $this->connect->query( $string ) ;
		if ( $this->connect->error )  log_error( "Échec de la commande query" . " => ". $this->connect->error . "<br />" . __file__ . esp( 'ligne' ) . __line__ . "\n" . $string, true, false );
		return $this->connect->error;
    }

    function error()
    {
        print_r( $this );
		//$this->error = $this->error;
		return $this->error;
    }
}

class sondage
{
	public $id_sondage;
	public $entity = 1;
	public $commentaires;
	public $mail_admin;
	public $nom_admin;
	public $fk_user_creat = 1;
	public $titre;
	public $datetime_debut;
	public $datetime_fin;
	public $status = 1;
	public $format ="A";
	public $mailsonde = 1;
	public $allow_comments = 1;
	public $allow_spy = 1;
	public $tms;
	public $sujet;

	function __construct($commentaires, $sujet)
    {
		$this->commentaires = $commentaires;
		$this->sujet = $sujet;
		$this->id_sondage = date("YmdHis");
		$this->entity = 1;
    }

    function write($db)
    {
		if ($this->datetime_fin != null)
		{
			$dfc = "date_fin, ";
			$dfv =  "'" . $this->datetime_fin . "', ";
		}else
		{
			$dfc = '';
			$dfv = '';
		}
		$query = "INSERT INTO llx_opensurvey_sondage ( id_sondage, entity, commentaires, mail_admin, nom_admin, fk_user_creat, titre, " . $dfc . "status, format, mailsonde, allow_comments, allow_spy, tms, sujet ) VALUES( '" .  $this->id_sondage . "', " .  $this->entity . ", '" .  addslashes($this->commentaires) . "', '" .  $this->mail_admin . "', '" .  $this->nom_admin . "', " .  $this->fk_user_creat . ", '" .  $this->titre . "', " . $dfv . $this->status . ", '" .  $this->format . "', " .  $this->mailsonde . ", " .  $this->allow_comments . ", " .  $this->allow_spy . ", '" .  date("Y-m-d H:i:s") . "', '" .  addslashes($this->sujet) . "' )";
		$db->query($query);
    }
}

class reservation
{
	public $start_time;						// timestamp
	public $end_time;						// timestamp
	public $entry_type;						// defaut = 0 occasionnel
	public $room_id = 1;     				// altnet par defaut
	public $create_by ="daniel";			// utilisateur
	public $name = "Atelier Lalis";			// titre
	public $type = "E";
	public $description;
	public $status = 4;						// 0 -> confirmé  4 -> provisoire
	public $ical_uid;

	function __construct($start, $end, $description)
    {
		$this->start_time = $start;
		$this->end_time = $end;
		$this->description = $description;
    }

	function write($db)
	{
		$this->ical_uid = uniqid("MRBS-") . "-" . bin2hex(random_bytes(4)) . "@librepc.com";
		$query = "INSERT INTO mrbs_entry (start_time, end_time, create_by, name, type, description, status, ical_uid) VALUES ($this->start_time, $this->end_time, '$this->create_by', '$this->name', '$this->type', '$this->description', $this->status, '$this->ical_uid')";
		//echo $query;
		$db->query($query);
	}
}

?>
